[CentOS] fix firefox?

Akemi Yagi amyagi at gmail.com
Thu Sep 25 16:33:21 UTC 2008


On Thu, Sep 25, 2008 at 9:11 AM, Paul Bijnens
<Paul.Bijnens at xplanation.com> wrote:
>
> Today came the update for firefox 3.0.2.
>
> So I did "yum update".  The depencies included xulrunner and devhelp.
>
> However, yum complained about a conflict between xulrunner 1.9.0.1
> being incompatible.  So I erased xulrunner first (yum erase xulrunner).
>
> And then installed firefox again:
>
>  yum install firefox.i386
>
> it pulls in xulrunner as well, but two different versions for two different
> architectures (???):
>
> =============================================================================
>  Package                 Arch       Version          Repository        Size
> =============================================================================
> Installing:
>  firefox                 i386       3.0.2-3.el5.centos  updates
>  11 M
> Installing for dependencies:
>  xulrunner               x86_64     1.9.0.2-5.el5    updates            10 M
>  xulrunner               i386       1.9.0.1-1.el5_2  updates            10 M

I see xulrunner-1.9.0.2-5.el5.i386.rpm in the i386 tree.  Maybe, this
should have been included in the x86_64 tree as well ?

Akemi


More information about the CentOS mailing list